# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Data Structures | Public Member Functions
Schematic Class Reference

## Data Structures
class | Infos

## Public Member Functions
void | addInstance (const std::string &instanceName, double x, double y, const std::string &orient)
| adds schematic informations for an instance. More...
const std::map< std::string, Infos * > & | getInstances ()
| returns the map of instance's Infos.
bool | hasNoInstances ()
| returns true if the schematc has no Infos.
| Schematic (Circuit *)
| creates a new schematic. More...

## Detailed Description

This class describes schematic informations.

The Schematic object is used to store all informations relative to schematic of the circuit.

Note
  The Schematic object is optionnal in Circuit.

## Constructor & Destructor Documentation

## ◆ Schematic()

Schematic | ( | Circuit * | circuit | ) |

creates a new schematic.

Parameters

  circuit | the circuit to which the schematic belongs.

## Member Function Documentation

## ◆ addInstance()

void addInstance | ( | const std::string & | instanceName,
|  | double | x,
|  | double | y,
|  | const std::string & | orient
| ) |  |

adds schematic informations for an instance.

Parameters

  name | the instance's name to which the schematic informations are associated.
  x | the x coordinate.
  y | the y coordinate.
  orient | the orientation.

Generated by doxygen 1.8.14 on Thu Oct 18 2018 | Return to top of page

VLSI SAPD Documentation | Copyright © 2010 - 2011 UPMC All rights reserved